com.google.gwt.user.cellview.client

## Interface DataGrid.Style

- All Superinterfaces:
    CssResource, CssResourceBase, ResourcePrototype
  Enclosing class:
    DataGrid<T>

      @CssResource.ImportedWithPrefix(value="gwt-CellTable")
      public static interface DataGrid.Style
      extends CssResource

  Styles used by this widget.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.gwt.resources.client.CssResource

      `CssResource.ClassName, CssResource.Import, CssResource.ImportedWithPrefix, CssResource.NotStrict, CssResource.Shared, CssResource.Strict`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_CSS` The path to the default CSS styles used by this resource.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dataGridCell()` Applied to every cell.
    `java.lang.String` | `dataGridEvenRow()` Applied to even rows.
    `java.lang.String` | `dataGridEvenRowCell()` Applied to cells in even rows.
    `java.lang.String` | `dataGridFirstColumn()` Applied to the first column.
    `java.lang.String` | `dataGridFirstColumnFooter()` Applied to the first column footers.
    `java.lang.String` | `dataGridFirstColumnHeader()` Applied to the first column headers.
    `java.lang.String` | `dataGridFooter()` Applied to footers cells.
    `java.lang.String` | `dataGridHeader()` Applied to headers cells.
    `java.lang.String` | `dataGridHoveredRow()` Applied to the hovered row.
    `java.lang.String` | `dataGridHoveredRowCell()` Applied to the cells in the hovered row.
    `java.lang.String` | `dataGridKeyboardSelectedCell()` Applied to the keyboard selected cell.
    `java.lang.String` | `dataGridKeyboardSelectedRow()` Applied to the keyboard selected row.
    `java.lang.String` | `dataGridKeyboardSelectedRowCell()` Applied to the cells in the keyboard selected row.
    `java.lang.String` | `dataGridLastColumn()` Applied to the last column.
    `java.lang.String` | `dataGridLastColumnFooter()` Applied to the last column footers.
    `java.lang.String` | `dataGridLastColumnHeader()` Applied to the last column headers.
    `java.lang.String` | `dataGridOddRow()` Applied to odd rows.
    `java.lang.String` | `dataGridOddRowCell()` Applied to cells in odd rows.
    `java.lang.String` | `dataGridSelectedRow()` Applied to selected rows.
    `java.lang.String` | `dataGridSelectedRowCell()` Applied to cells in selected rows.
    `java.lang.String` | `dataGridSortableHeader()` Applied to header cells that are sortable.
    `java.lang.String` | `dataGridSortedHeaderAscending()` Applied to header cells that are sorted in ascending order.
    `java.lang.String` | `dataGridSortedHeaderDescending()` Applied to header cells that are sorted in descending order.
    `java.lang.String` | `dataGridWidget()` Applied to the table.

    - ### Methods inherited from interface com.google.gwt.resources.client.CssResource

      `ensureInjected, getText`

    - ### Methods inherited from interface com.google.gwt.resources.client.ResourcePrototype

      `getName`

- - ### Field Detail

    - #### DEFAULT_CSS

          static final java.lang.String DEFAULT_CSS

      The path to the default CSS styles used by this resource.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### dataGridCell

          java.lang.String dataGridCell()

      Applied to every cell.

    - #### dataGridEvenRow

          java.lang.String dataGridEvenRow()

      Applied to even rows.

    - #### dataGridEvenRowCell

          java.lang.String dataGridEvenRowCell()

      Applied to cells in even rows.

    - #### dataGridFirstColumn

          java.lang.String dataGridFirstColumn()

      Applied to the first column.

    - #### dataGridFirstColumnFooter

          java.lang.String dataGridFirstColumnFooter()

      Applied to the first column footers.

    - #### dataGridFirstColumnHeader

          java.lang.String dataGridFirstColumnHeader()

      Applied to the first column headers.

    - #### dataGridFooter

          java.lang.String dataGridFooter()

      Applied to footers cells.

    - #### dataGridHeader

          java.lang.String dataGridHeader()

      Applied to headers cells.

    - #### dataGridHoveredRow

          java.lang.String dataGridHoveredRow()

      Applied to the hovered row.

    - #### dataGridHoveredRowCell

          java.lang.String dataGridHoveredRowCell()

      Applied to the cells in the hovered row.

    - #### dataGridKeyboardSelectedCell

          java.lang.String dataGridKeyboardSelectedCell()

      Applied to the keyboard selected cell.

    - #### dataGridKeyboardSelectedRow

          java.lang.String dataGridKeyboardSelectedRow()

      Applied to the keyboard selected row.

    - #### dataGridKeyboardSelectedRowCell

          java.lang.String dataGridKeyboardSelectedRowCell()

      Applied to the cells in the keyboard selected row.

    - #### dataGridLastColumn

          java.lang.String dataGridLastColumn()

      Applied to the last column.

    - #### dataGridLastColumnFooter

          java.lang.String dataGridLastColumnFooter()

      Applied to the last column footers.

    - #### dataGridLastColumnHeader

          java.lang.String dataGridLastColumnHeader()

      Applied to the last column headers.

    - #### dataGridOddRow

          java.lang.String dataGridOddRow()

      Applied to odd rows.

    - #### dataGridOddRowCell

          java.lang.String dataGridOddRowCell()

      Applied to cells in odd rows.

    - #### dataGridSelectedRow

          java.lang.String dataGridSelectedRow()

      Applied to selected rows.

    - #### dataGridSelectedRowCell

          java.lang.String dataGridSelectedRowCell()

      Applied to cells in selected rows.

    - #### dataGridSortableHeader

          java.lang.String dataGridSortableHeader()

      Applied to header cells that are sortable.

    - #### dataGridSortedHeaderAscending

          java.lang.String dataGridSortedHeaderAscending()

      Applied to header cells that are sorted in ascending order.

    - #### dataGridSortedHeaderDescending

          java.lang.String dataGridSortedHeaderDescending()

      Applied to header cells that are sorted in descending order.

    - #### dataGridWidget

          java.lang.String dataGridWidget()

      Applied to the table.